uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jerry Cwiklik (JIRA)" <...@uima.apache.org>
Subject [jira] [Commented] (UIMA-2473) upgrade saxon from saxon8.jar to saxon9he.jar
Date Thu, 18 Oct 2012 14:36:04 GMT

    [ https://issues.apache.org/jira/browse/UIMA-2473?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13479037#comment-13479037
] 

Jerry Cwiklik commented on UIMA-2473:
-------------------------------------

I would like to know if you had a chance to verify if saxon8.jar was in your classpath and
hence was a reason of the reported exception? Please let me know at your earliest convenience.
                
> upgrade saxon from saxon8.jar to saxon9he.jar
> ---------------------------------------------
>
>                 Key: UIMA-2473
>                 URL: https://issues.apache.org/jira/browse/UIMA-2473
>             Project: UIMA
>          Issue Type: Improvement
>          Components: Async Scaleout
>    Affects Versions: 2.3.1AS
>            Reporter: Han Hui Wen 
>            Priority: Critical
>              Labels: UIMA-AS
>             Fix For: 2.4.0AS
>
>   Original Estimate: 1h
>  Remaining Estimate: 1h
>
> code :
>                 System.setProperty("defaultBrokerURL", url);
>                 Map<String,Object> appCtx = new HashMap<String,Object>();
>                 appCtx.put(UimaAsynchronousEngine.DD2SpringXsltFilePath, "resources/uima/dd2spring.xsl");
>                 appCtx.put(UimaAsynchronousEngine.SaxonClasspath, "file:../com.ibm.deepqa.runtime.lib/lib/saxon/saxon8.jar");
>                 
>                 appCtx.put(UimaAsynchronousEngine.ServerUri, url);
>                 UimaAsynchronousEngine engine = new BaseUIMAAsynchronousEngine_impl();
>                 engine.deploy("resources/uima/Deploy_TLA.xml", appCtx);
> Has following error:
> INFO: UIMA-AS version 2.3.1
> Error 
>   net.sf.saxon.event.MessageEmitter is not a Receiver
> Transformation failed: Run-time errors were reported
> Because saxon8 has no source code in sf.net know . have no way to figure out .
> So suggest to upgrade to saxon9he.jar.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message